Bug 1253667 - update gmp content
update gmp content
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: preupgrade-assistant-contents (Show other bugs)
6.7
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Frantisek Kluknavsky
Tereza Cerna
: Extras
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-14 08:17 EDT by Frantisek Kluknavsky
Modified: 2015-11-19 18:32 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 18:32:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Kluknavsky 2015-08-14 08:17:38 EDT
GMP got a rebase https://errata.devel.redhat.com/advisory/18673/builds
Solution text should be updated accordingly.
Comment 2 Alois Mahdal 2015-08-17 05:56:55 EDT
What in particular will need to be changed in the solution text?  Is it just the version numbr (5.1 > 6.2) or will there be more incompatibilities etc.?  (Assuming the transition from rhel6.7 to rhel7.2 means gmp4 to gmp6.)
Comment 4 Frantisek Kluknavsky 2015-08-18 10:40:02 EDT
Features seem to be backward compatible as far as I was able to check. Just version number changes in solution text.
Comment 5 Alois Mahdal 2015-08-18 10:41:55 EDT
Thanks, Franto; this should be a piece of cake! :)
Comment 6 Frantisek Kluknavsky 2015-08-18 11:48:23 EDT
Maybe should not be a separate bugzilla at all, just one of famous "minor fixes" but i wanted to have one harmless bugzilla to test various workflows.
Comment 9 Tereza Cerna 2015-10-27 02:44:22 EDT
=====================================================
Verified in:
    preupgrade-assistant-contents-0.6.39-1.el6.noarch
PASS
=====================================================

# cat /usr/share/preupgrade/RHEL6_7/packages/gmp/solution.txt
GMP 6 is compatible with GMP 4 in major features. Incompatible changes affect only functions, which should not be used by user applications at all:
 - mpn_bdivmod function
 - BSDMP-like interface libmp.so

=====================================================
Reproduced in:
    preupgrade-assistant-contents-0.6.30-1.el6.noarch
FAIL
=====================================================

# cat /usr/share/preupgrade/RHEL6_7/packages/gmp/solution.txt 
GMP 5.1 is compatible with GMP 4 in major features. Incompatible changes affect only functions, which should not be used by user applications at all:
 - mpn_bdivmod function
 - BSDMP-like interface libmp.so
Comment 11 errata-xmlrpc 2015-11-19 18:32:46 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2498.html

Note You need to log in before you can comment on or make changes to this bug.